package com.muyu.cargateway;

import com.muyu.common.security.annotation.EnableCustomConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-17-15:00
 * @ Version：1.0
 * @ Description：故障启动类
 * @author Lenovo
 */
@EnableCustomConfig
@EnableFeignClients
@SpringBootApplication
public class CarGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(CarGatewayApplication.class, args);
    }
}
