package com.muyu.cargateway.domain.properties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-26-22:13
 * @ Version：1.0
 * @ Description：Mqtt的配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttProperties {
    /**
     * 节点
     */
    private String broker;
    /**
     * 主题
     */
    private String topic;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String password;
    /**
     * 客户端id
     */
    private String clientId;
    /**
     * 上报级别
     */
    private int qos = 0;
}
