//package com.muyu.cargateway.test;
//
//import com.aliyun.ecs20140526.Client;
//import com.aliyun.ecs20140526.models.RunInstancesRequest;
//import com.aliyun.tea.TeaException;
//import com.aliyun.teaopenapi.models.Config;
//import com.aliyun.teautil.Common;
//import com.aliyun.teautil.models.RuntimeOptions;
//import lombok.extern.log4j.Log4j2;
//
//import java.util.Arrays;
//import java.util.List;
//
//
///**
// * @ Tool：IntelliJ IDEA
// * @ Author：CHX
// * @ Date：2024-09-27-23:38
// * @ Version：1.0
// * @ Description：调用ali的测试demo类
// * @author Lenovo
// */
//@Log4j2
//public class Sample {
//
//    /**
//     * <b>description</b> :
//     * <p>使用AK&amp;SK初始化账号Client</p>
//     * @return Client
//     *
//     * @throws Exception
//     */
//    public static Client createClient() throws Exception {
//        // 工程代码泄露可能会导致 AccessKey 泄露，并威胁账号下所有资源的安全性。以下代码示例仅供参考。
//        Config config = new Config()
//                // 必填，请确保代码运行环境设置了环境变量 ALIBABA_CLOUD_ACCESS_KEY_ID。
//                .setAccessKeyId("LTAI5tDH3FyRx4PRr6anx2TL")
//                // 必填，请确保代码运行环境设置了环境变量 ALIBABA_CLOUD_ACCESS_KEY_SECRET。
//                .setAccessKeySecret("xdQnX2tDattY50raNkUWmHzE2tondP");
//        // Endpoint 请参考 https://api.aliyun.com/product/Ecs
//        config.endpoint = "ecs-cn-hangzhou.aliyuncs.com";
//        return new Client(config);
//    }
//
//    /**
//     * 本程序的入口点
//     * 主要功能是创建阿里云ECS实例
//     *
//     * @param args 命令行参数
//     * @throws Exception 如果执行过程中发生错误则抛出异常
//     */
//    public static void main(String[] args) throws Exception {
//        // 将命令行参数转换为字符串列表
//        List<String> arg = Arrays.asList(args);
//
//        // 创建阿里云ECS客户端
//        Client client = Sample.createClient();
//
//        // 配置系统盘参数
//        RunInstancesRequest.RunInstancesRequestSystemDisk systemDisk = new RunInstancesRequest.RunInstancesRequestSystemDisk()
//                // 设置系统盘大小为20G
//                .setSize("40")
//                // 设置系统盘类型为cloud_essd
//                .setCategory("cloud_essd");
//
//        // 创建创建实例请求对象并设置参数
//
//        RunInstancesRequest runInstancesRequest = new RunInstancesRequest()
//                // 设置地域ID
//                .setRegionId("cn-shanghai")
//                // 设置镜像ID
//                .setImageId("m-uf65fvle9qseu9jo5jl3")
//                // 设置实例规格类型
//                .setInstanceType("ecs.t6-c1m1.large")
//                // 设置安全组ID
//                .setSecurityGroupId("sg-uf642d5u4ja5gsiitx8y")
//                // 设置虚拟交换机ID
//                .setVSwitchId("vsw-uf66lifrkhxqc94xi06v3")
//                // 设置实例名称
//                .setInstanceName("server-mqtt")
//                // 设置付费类型 按量付费
//                .setInstanceChargeType("PostPaid")
//                // 设置系统盘配置
//                .setSystemDisk(systemDisk)
//                // 设置用户名
//                .setHostName("root")
//                // 设置密码
//                .setPassword("10160810@a")
//                // 设置要创创建的实例数量
//                .setAmount(1);
//
//
//
//
//        // 创建运行时选项对象
//        RuntimeOptions runtime = new RuntimeOptions();
//
//        // 尝试执行创建实例请求
//        try {
//            // 复制代码运行请自行打印 API 的返回值
//            client.runInstancesWithOptions(runInstancesRequest, runtime);
//        } catch (TeaException error) {
//            // 此处仅做打印展示，请谨慎对待异常处理，在工程项目中切勿直接忽略异常。
//            // 错误 message
//            System.out.println(error.getMessage());
//            // 诊断地址
//            System.out.println(error.getData().get("Recommend"));
//            com.aliyun.teautil.Common.assertAsString(error.message);
//        } catch (Exception _error) {
//            TeaException error = new TeaException(_error.getMessage(), _error);
//            // 此处仅做打印展示，请谨慎对待异常处理，在工程项目中切勿直接忽略异常。
//            // 错误 message
//            System.out.println(error.getMessage());
//            // 诊断地址
//            System.out.println(error.getData().get("Recommend"));
//            Common.assertAsString(error.message);
//        }
//    }
//}
//
