package com.muyu.cargateway.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-10-06-11:05
 * @ Version：1.0
 * @ Description：车辆鉴权的参数
 * @author Lenovo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VehicleConnection {
    /**
     * 车辆VIN
     */
    private String vehicleVin;
    /**
     * 用户名
     */
    private String username;

    private String timestamp;

    private String nonce;
    /**
     * 密码
     */
    private String password;
}
